Skip to content

Endpoints ​

Submit Application ​

POST {environment}/api/quote/submit

This method creates, and immediately validates and submits an application for review.

Headers ​

NameTypeDescription
Content-Typestringapplication/json
X-BL-ClientIdstringSee Authentication
X-BL-ClientSecretstringSee Authentication

Request Body ​

NameTypeDescription
quoteobjectThe application payload to submit. This object is of type ApplicationModel
ownerUserEmailstringEmail of the Bluelink user who will become the owner of the application. If the current API user should be the owner, this should be left empty. If creating for a user who has not given an API consent, this will fail with error 401.
customDataobjectA json dictionary of custom data that can be added to the quote. This data will also be sent back to you in webhook notifications.

Response ​

200 - Success ​

Application has been created and submitted successfully. QuoteReference can be used to identify the application in the Bluelink UI, as well as being used in other API requests.

javascript
// The application was created and submitted successfully
{
  "QuoteReference": "BL120000015",
  "WasSubmitted": true,
  "Errors": [],
  "Status": "Success",
  "ErrorMessage": null
}

// The application already exists
{
  "QuoteReference": "BL120000015",
  "WasSubmitted": null,
  "Errors": null,
  "Status": "Invalid",
  "ErrorMessage": "The Quote is already submitted"
}

// The application 'BL120000020' was created, but was not
// submitted for review due to validation errors.
{
  "QuoteReference": "BL120000020",
  "WasSubmitted": false,
  "Errors": [
    {
      "Model": "Applicants[0].DateOfBirth",
      "Type": "isAtLeastTimeAgo",
      "Message": "Minimum applicant age is 21 years"
    },
    {
      "Model": "Term",
      "Type": "termValidationBasedOnCarYear",
      "Message": "The minimum term for this loan is 24 months"
    }
  ],
  "Status": "Invalid",
  "ErrorMessage": null
}

401 - Unauthorized ​

If the authentication headers are missing or invalid.

(no response body)

WARNING

If there is any quote validation error that prevents successful submission, the application will be created, but will stay in the "Open" status (instead of "Submitted"). This is usually caused by invalid/missing data and a detailed list of validation errors will be returned in the response.

In this case, the quote may be opened in the Bluelink UI application and fixed/submitted manually by a Bluelink User.

Request Body Example ​

javascript
{
  "Quote": {
    "QuoteReference": null,
    "BorrowerType": 1,
    "Applicants": [
      {
        "PersonalInfo": {
          "Title": 1,
          "FirstName": "John",
          "MiddleName": "Joseph",
          "LastName": "Joe",
          "MaidenName": null,
          "DateOfBirth": "1998-06-17T16:00:00+01:00",
          "Nationality": "Irish",
          "MaritalStatus": 1,
          "ResidentialStatus": 1,
          "NumberOfDependents": 0,
          "PPSNumber": "1234567T"
        },
        "ContactDetails": {
          "MainPhoneNumber": "0838333333",
          "OtherPhoneNumber": null,
          "EmailAddress": "a@co.com",
          "AddressHistory": [
            {
              "CcrCounty": "LIMERICK",
              "TimeAtAddress": 11,
              "Line1": "11 Páirc Mhuire",
              "Line2": "Tullow",
              "Town": "Carlow",
              "County": "Co. Carlow",
              "PostCode": null
            }
          ]
        },
        "Employment": {
          "IndustryCategory": "Computer Software/Engineering",
          "OccupationTitle": "Software engineer",
          "EmploymentType": 1,
          "EmploymentStatus": 1,
          "EmployerAddress": {
            "Line1": "11 Páirc Mhuire",
            "Line2": "Tullow",
            "Town": "Carlow",
            "County": "Co. Carlow",
            "PostCode": null
          },
          "EmployerName": "John",
          "EmploymentPhoneNumber": "0838333333",
          "TimeInThisEmployment": 3,
          "WorkPermitNumber": null,
          "WorkPermitExpiryDate": null
        },
        "IncomeExpenditure": {
          "NetSalaryPerMonth": 5000,
          "OtherIncomePerMonth": 1200,
          "MortgageRentPayment": 1000
        }
      }
    ],
    "BusinessData": null,
    "Partnership": null,
    "Company": null,
    "SoleTrader": null,
    "FinanceApplyingFor": 1,
    "UsedVehicle": null,
    "NewVehicle": {
      "CarId": "JEuGXaXXjLLTa348T95fB2MfGn1trTtPcEmnpYG4Whc=",
      "Make": "Alfa Romeo",
      "Model": "Giulietta",
      "Specification": "1.6 JTDM-2 120 hp Sprint",
      "Fuel": "Diesel"
    },
    "Finance": {
      "AssetPurchasePrice": 30000,
      "TradeInValueDeposit": 6000,
      "Term": 60,
      "TradeInRegistrationNumber": null
    },
    "BankDetails": {
      "AccountType": 1,
      "AccountName": "John-1",
      "SortCode": null,
      "AccountNumber": null,
      "BICCode": null,
      "IBAN": null,
      "Bank": "AnPost",
      "Branch": null,
      "Address": null,
      "YearsWithBank": 2
    },
    "FurtherInformation": null
  },
  "OwnerUserEmail": "test-dealer-ie@bluestonemf.ie",
  "CustomData": null
}

For a list of comprehensive validation rules, please refer to Data Models.

Get Application Status ​

GET {environment}/api/quote/status/{quoteReference}

Get's the current status of a application that was previously created by a call to the Submit Application Endpoint.

Path Parameters ​

NameTypeDescription
QuoteReferencestringThe reference number of an existing application

Headers ​

NameTypeDescription
Content-Typestringapplication/json
X-BL-ClientIdstringSee Authentication
X-BL-ClientSecretstringSee Authentication

Response ​

200 - Success ​

The request was successful and the application status was retrieved.

javascript
{
  "QuoteReference": "BL10012345",
  "Status": "UnderReview",
  "Date": "2021-06-04T14:52:56.803+00:00",
  "CustomData": {
    "additionalProp1": "this comes from any custom",
    "additionalProp2": "data you may have provided",
    "additionalProp3": "while creating the application"
  }
}

400 - Bad Request ​

If one or more of the request parameters are missing or invalid.

(no response body)

401 - Unauthorized ​

If the authentication headers are missing or invalid.

(no response body)

Close Connect Documentation